Coleta informações de uma regra de ponto
curl --request GET \
--url https://api.example.com/regras-de-ponto/{regraDePontoId}const options = {method: 'GET'};
fetch('https://api.example.com/regras-de-ponto/{regraDePontoId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.example.com/regras-de-ponto/{regraDePontoId}"
response = requests.get(url)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/regras-de-ponto/{regraDePontoId}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/regras-de-ponto/{regraDePontoId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.example.com/regras-de-ponto/{regraDePontoId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"regraDePontoId": "72a3e315-2987017ce62d",
"nome": "Regra de ponto HORA EXTRA",
"codigo": 1,
"step": "CONFIG_HORA_EXTRA",
"tipoRegrasDePonto": "HORAS_EXTRAS",
"ativo": false,
"colaboradores": 0,
"padraoSistema": false
}Regras de ponto
Coleta informações de uma regra de ponto
GET
/
regras-de-ponto
/
{regraDePontoId}
Coleta informações de uma regra de ponto
curl --request GET \
--url https://api.example.com/regras-de-ponto/{regraDePontoId}const options = {method: 'GET'};
fetch('https://api.example.com/regras-de-ponto/{regraDePontoId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.example.com/regras-de-ponto/{regraDePontoId}"
response = requests.get(url)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/regras-de-ponto/{regraDePontoId}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/regras-de-ponto/{regraDePontoId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.example.com/regras-de-ponto/{regraDePontoId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"regraDePontoId": "72a3e315-2987017ce62d",
"nome": "Regra de ponto HORA EXTRA",
"codigo": 1,
"step": "CONFIG_HORA_EXTRA",
"tipoRegrasDePonto": "HORAS_EXTRAS",
"ativo": false,
"colaboradores": 0,
"padraoSistema": false
}Path Parameters
ID da Regra
Response
Dados da regra de ponto
Id da Regra de ponto
Example:
"regraDePontoId-id"
Nome default da regra
Example:
"Regra de ponto 5"
Código de identificação da regra
Example:
5
Tipo da regra de ponto
Available options:
HORAS_EXTRAS, BANCO_DE_HORAS, MISTO Proximo step de configuração
Available options:
CONFIG_HORA_EXTRA, CONFIG_BANCO_HORAS, CONFIG_MISTO, HORAS_NEGATIVAS, FLEXIBILIDADE_TOLERANCIA, ADICIONAL_NOTURNO, DSR, TOLERANCIA, IDENTIFICACAO, CONCLUIDO Retorna se regra está ativa
Example:
false
Retorna quantidade de colaboradores
Example:
10
Retorna flag para registro criado por padrão no sistema
Example:
false
Data de criação
Example:
"2026-05-11T13:08:58.677Z"
Data de update
Example:
"2026-05-11T13:08:58.677Z"